Subject: Re: bug#65344: 28.2; Unable to Edebug cl-flet form which uses argument destructuring

From: Gerd Möllmann <[email-masked]>
Date: Sat, 26 Aug 2023 07:39:32 +0200

Michael Heerdegen <[email-masked]> writes:

> Gerd Möllmann <[email-masked]> writes:
>
>> I don't think so.  The docs say for &interpose
>>
>>      means that Edebug will first match SPEC against the code and then
>>      call FUN with the code that matched ‘spec’
>>
>> i.e. it first tries to match, which will give an error.
>
> The idea is that we would match with 'sexp' or some catchall pattern and
> then instrument using 'form' inside the function.

That might work, but it's a bit like with the &not-filtering I
mentioned: It is a lot of effort for an edge case, and it doesn't
address the underlying problem, if it is one, (bug#65516).

Maybe you could give it a spin?  I don't think I will.